> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all package sources with their URLs



## OpenAPI

````yaml get /api/package-sources/admin
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/package-sources/admin:
    get:
      tags:
        - Package sources
      summary: List all package sources with their URLs
      operationId: list_package_sources_admin_api_package_sources_admin_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PackageSourcesAdminList'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    PackageSourcesAdminList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PackageSourceDetail'
          type: array
          title: Items
        default:
          type: string
          title: Default
      type: object
      required:
        - items
        - default
      title: PackageSourcesAdminList
    PackageSourceDetail:
      properties:
        name:
          type: string
          title: Name
        kind:
          $ref: '#/components/schemas/PackageSourceKind'
        enabled:
          type: boolean
          title: Enabled
        is_default:
          type: boolean
          title: Is Default
        description:
          type: string
          title: Description
        index_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Index Url
        ca_cert_pem:
          anyOf:
            - type: string
            - type: 'null'
          title: Ca Cert Pem
      type: object
      required:
        - name
        - kind
        - enabled
        - is_default
        - description
      title: PackageSourceDetail
    PackageSourceKind:
      type: string
      enum:
        - pypi
        - mirror
        - preinstalled
      title: PackageSourceKind
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.